Hide navigation sidebar
Hide table of contents sidebar
PTB has undergone significant changes in v20. Please read the documentation carefully and also check out the transition guide in the wiki.
Back to top
Toggle table of contents sidebar

# UserChatBoosts

New in version 20.8.

class telegram.UserChatBoosts(boosts, *, api_kwargs=None)

  Bases: `telegram.TelegramObject`

  This object represents a list of boosts added to a chat by a user.

  Objects of this class are comparable in terms of equality. Two objects of this class are considered equal, if their `boosts` are equal.

  Returned In

  `telegram.Bot.get_user_chat_boosts()`

  New in version 20.8.

  Parameters:

    boosts (Sequence[`telegram.ChatBoost`]) – List of boosts added to the chat by the user.

  boosts

    List of boosts added to the chat by the user.

    Type:

      Tuple[`telegram.ChatBoost`]

  classmethod de_json(data, bot)

    See `telegram.TelegramObject.de_json()`.